<?php 

$gallery_images = get_gallery_attachments();
if (!isset($gallery_images) || empty($gallery_images)) : ?> 
	<?php get_template_part( 'templates/posts/formats/format', 'standard' );?> 
<?php  else : ?> 

	<header class="entry-header">
	<div class="row">	
		<div class="col-xs-12">
			<div class="owl-carousel" data-col="1" >
			<?php foreach ($gallery_images as $key => $value) : ?>
				<?php if (is_numeric($value)) :?>
					<?php if (is_single()) {
						echo wp_get_attachment_image( $value, 'orion_container_width' );
					} else {
						echo wp_get_attachment_image( $value, 'orion_carousel' );
					}?>
				<?php endif;?>
			<?php endforeach; ?> 
			</div>
			<div class="owl-nav-custom">
			    <a class="owlprev primary-color-bg"><i class="fa fa-angle-left"></i></a>
			    <a class="owlnext primary-color-bg"><i class="fa fa-angle-right"></i></a>
			</div>
		</div>
	</div>	
	</header> 


<?php get_template_part( 'templates/parts/single', 'part_meta' ); ?>

	<?php if(is_single()) :?>
		<h1 class="entry-title"><?php the_title(); ?></h1>
	<?php else : ?>
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
	<?php endif;?>
<?php  endif; ?> 