<?php

/*
Widget Name: (OrionThemes) Opening Hours
Description: Displays Working hours
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_working_hours_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_working_hours_w',
			__('(OrionThemes) Opening Hours', 'dentalia'),
			array(
				'description' => __('Displays opening hours.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-clock',
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
					'default' => 'Opening Hours',			        
			    ),	    
			    'monday' => array(
			        'type' => 'text',
			        'label' => __('Monday', 'dentalia'),
					'default' => '8:00 - 16:00',
			    ),	
			    'tuesday' => array(
			        'type' => 'text',
			        'label' => __('Tuesday', 'dentalia'),
					'default' => '8:00 - 16:00',
			    ),
			    'wednesday' => array(
			        'type' => 'text',
			        'label' => __('Wednesday', 'dentalia'),
					'default' => '8:00 - 16:00',		        
			    ),	
			    'thursday' => array(
			        'type' => 'text',
			        'label' => __('Thursday', 'dentalia'),
					'default' => '8:00 - 16:00',			        
			    ),		
			    'friday' => array(
			        'type' => 'text',
			        'label' => __('Friday', 'dentalia'),
					'default' => '8:00 - 16:00',			        
			    ),	
			    'saturday' => array(
			        'type' => 'text',
			        'label' => __('Saturday', 'dentalia'),
					'default' => '8:00 - 13:00',			        
			    ),	
			    'sunday' => array(
			        'type' => 'text',
			        'label' => __('Sunday', 'dentalia'),
			    ),
				'text_color_class' => array(
					'type' => 'select',
					'label' => __( 'Text color style', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
					'text-default' => __( 'Default', 'dentalia' ),
					'text-light' => __( 'Light text', 'dentalia' ),
					'text-dark' => __( 'Dark text', 'dentalia' ),
					)
				),

			   'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'text_color' => array(
					        'type' => 'color',
					        'label' => __( 'Text color', 'dentalia' ),
					        'default' => ''
					    ),
						'current_color' => array(
					        'type' => 'color',
					        'label' => __( 'Current day color', 'dentalia' ),
					        'default' => '',
					    ),			        	
						'bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background color', 'dentalia' ),
					        'default' => '',
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background color opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),
					    'has_border' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Display borders', 'dentalia' ),
					        'default' => false
					    )
					),
				),
			   'translations_section' => array(
			        'type' => 'section',
			        'label' => __( 'Translations' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
					    'monday' => array(
					        'type' => 'text',
					        'label' => __('Monday', 'dentalia'),
					    ),	
					    'tuesday' => array(
					        'type' => 'text',
					        'label' => __('Tuesday', 'dentalia'),
					    ),
					    'wednesday' => array(
					        'type' => 'text',
					        'label' => __('Wednesday', 'dentalia'),		        
					    ),	
					    'thursday' => array(
					        'type' => 'text',
					        'label' => __('Thursday', 'dentalia'),			        
					    ),		
					    'friday' => array(
					        'type' => 'text',
					        'label' => __('Friday', 'dentalia'),		        
					    ),	
					    'saturday' => array(
					        'type' => 'text',
					        'label' => __('Saturday', 'dentalia'),		        
					    ),	
					    'sunday' => array(
					        'type' => 'text',
					        'label' => __('Sunday', 'dentalia'),
					    ),
					),
				), 			   
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_working_hours_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_working_hours_w', __FILE__, 'orion_working_hours_w');