<?php

/*
Widget Name: (OrionThemes) Heading
Description: Displays Heading
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_heading_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_heading_w',
			__('(OrionThemes) Heading', 'dentalia'),
			array(
				'description' => __('Display headings in different styles.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-editor-bold',
			),
			array(

			),
			array(

			    'title' => array(
			        'type' => 'text',
			        'label' => __('Text', 'dentalia'),
			    ),
		        'size' => array(
					'type' => 'select',
					'label' => __('HTML Tag', 'dentalia'),	
				    'options' => array(
						'h1'	=> __('H1', 'dentalia'),
				    	'h2'	=> __('H2', 'dentalia'),
				    	'h3'	=> __('H3', 'dentalia'),
				    	'h4'	=> __('H4', 'dentalia'),
				    	'h5'	=> __('H5', 'dentalia'),
				    	'h6'	=> __('H6', 'dentalia'),
		       		),
				    'default' => '',		
		       	),			    
		        'text_color' => array(
					'type' => 'select',
					'label' => __('Color', 'dentalia'),	
				    'options' => array(
				    	'text-default'	=> __('Default', 'dentalia'),
				    	'text-dark'	=> __('Dark', 'dentalia'),
				    	'text-light'	=> __('Light', 'dentalia'),
				    	'primary-color'	=> __('Main theme color', 'dentalia'),
				    	'secondary-color'	=> __('Secondary theme color', 'dentalia'),
				    	'tertiary-color'	=> __('Tertiary theme color', 'dentalia'),				    	
		       		),
				    'default' => 'text-default',		
		       	),
		        'text_align' => array(
					'type' => 'select',
					'label' => __('Align', 'dentalia'),	
				    'options' => array(
						'text-left'	=> __('Left', 'dentalia'),
				    	'text-right'	=> __('Right', 'dentalia'),						
				    	'text-center'	=> __('Center', 'dentalia'),
		       		),
				    'default' => 'left',		
		       	),		       	
		        'separator_style' => array(
					'type' => 'select',
					'label' => __('Divider', 'dentalia'),	
				    'options' => array(
						''	=> __('None', 'dentalia'),
				    	'separator-style-1'	=> __('Style 1', 'dentalia'),
				    	'separator-style-2'	=> __('Style 2', 'dentalia'),			    	
		       		),
				    'default' => '',		
		       	),
				       				       			
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_heading_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_heading_w', __FILE__, 'orion_heading_w');